using System;

//Szukanie z wartownikiem zadanego elementu w tablicy
//uwaga: elementy tablicy w C# numerowane sa od 0
//       zatem nasza tablica ma indeksy od 0 do n-1
//       a[0], a[1], ..., a[n-1]
//       plus wartownik a[n]
//(c) 2009 by Tomasz Lubinski
//www.algorytm.org

namespace Szukanie_z_wartownikiem
{
	/// <summary>
	/// Szukanie z wartownikiem zadanego elementu w tablicy
	/// </summary>
	class Class1
	{
		private static int []a;

		/// <summary>
		/// Szukanie z wartownikiem zadanego elementu w tablicy
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			int i, n, x;
		
			//pobierz dane od uzytkownika
			Console.WriteLine("Podaj liczbe elementow tablicy");
			n = int.Parse(Console.ReadLine());
			a = new int[n+1];
			for (i=0; i<n; i++) 
			{
				Console.WriteLine("Podaj element a["+i+"]");
				a[i] = int.Parse(Console.ReadLine());
			}
			Console.WriteLine("Podaj element do wyszukania");
			x = int.Parse(Console.ReadLine());
		
			//szukaj elementu x
			a[n] = x;
			i = 0;
			while (a[i] != x)
			{
				i++;
			}
		
			//podaj wynik
			if (i == n)
				Console.WriteLine("Nie znaleziono w tablicy elementu " + x);
			else
				Console.WriteLine("Odnaleziono element " + x + " pod indeksem " + i);
		}
	}
}
